package com.clx.performance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.model.OwnerAccount;
import com.clx.performance.param.pc.PageOwnerAccountListParam;
import com.clx.performance.sqlProvider.OwnerAccountSqlProvider;
import com.clx.performance.vo.pc.OwnerAccountVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.SelectProvider;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 货主账户
 */
@Mapper
public interface OwnerAccountMapper extends BaseMapper<OwnerAccount> {

    @SelectProvider(type = OwnerAccountSqlProvider.class, method = "pageList")
    IPage<OwnerAccountVO> pageList(Page<OwnerAccountVO> page, PageOwnerAccountListParam param);

    @SelectProvider(type = OwnerAccountSqlProvider.class, method = "addAccount")
    int addAccount(OwnerAccount account, LocalDateTime now);

    @SelectProvider(type = OwnerAccountSqlProvider.class, method = "subAccount")
    int subAccount(OwnerAccount account, LocalDateTime now);

    @SelectProvider(type = OwnerAccountSqlProvider.class, method = "updateOwnerAccountForConfirm")
    int updateOwnerAccountForConfirm(OwnerAccount account);
}